[Rainmeter]
Update=1000

@include="#CURRENTPATH#\Settings.txt"

;===================================================================================

[Variables]
FontName=SlideR

VarWeatherRUS="Ice to Rain":"Ледяной дождь","Snow Showers Early":"Ранний снег","Rain / Snow Showers":"Снег с дождем","Snow to Wintry Mix":"Снег с дождем","Scattered Snow Showers":"Возможен снег","Few Snow Showers":"Небольшой снег","Light Snow Shower":"Легкий снегопад","Snow Grains":"Зерна снега","Partly Cloudy":"Небольшая облачность","A Flurry":"Шквал","A Shower":"Ливень","Blowing Snow":"Низовая метель","Clear":"Ясно","Clouds And Sun":"Переменная облачность","Clouds":"Облачно","Mostly Cloudy":"Переменная облачность","Cloudy":"Облачно","Dense Fog":"Плотный туман","Drifting Snow":"Позёмка","Drizzle":"Моросящие дожди","Dust":"Пыльно","Fair":"Ясно","Fair and Windy":"Ясно и ветренно","Foggy":"Туманно","Freezing Rain":"Ледяной дождь","Haze":"Дымка","Hazy Sunshine":"Дымка","Snow Showers":"Снег","Snow Shower":"Снегопад","Heavy Snow":"Сильный снег","Heavy Snow Shower":"Сильный снегопад","Hvy.snowshower":"Сильный снегопад","Ice":"Гололёд","Ice Crystals":"Ледяные кристаллы","Light Fog":"Небольшой туман","Light Rain":"Небольшой дождь","Light Rain with Thunder":"Небольшой дождь с грозой","Light Freezing Rain":"Небольшой ледяной дождь","Light Drizzle":"Моросящий дождь","Light Rain Shower":"Небольшой дождь","Light Rain Shower and Windy":"Дождь и ветер","Light Snow Grains":"Хлопья снега","Light Snow":"Небольшой снег","Lgt.rainshower":"Небольшой дождь","Lgt.snowshower":"Лёгкий снегопад","Lgt.snow/fog":"Небольшой снег / Туман","Mist":"Туман","Mostly Clear":"Безоблачно","Mostly Cloudy and Windy":"Облачно и ветренно","Mostly Sunny":"Небольшая облачность","Overcast":"Пасмурно","Partial Fog":"Местами туман","Partly Clear":"Прояснения","Partly Sunny":"Малооблачно","Rain Shower":"Ливень","Rain and Snow":"Снег с дождём","Scattered Showers":"Редкие дожди","Scattered T-Storms":"Редкие грозовые бури","Isolated T-Storms":"Местами грозовые бури","Shallow Fog":"Небольшой туман","Showers":"Дожди","Showers Late":"Поздний дождь","Snow Showers Late":"Поздний снег","Showers in the Vicinity":"Местами дождь","Sleet":"Мокрый снег","Smoke":"Густой туман","Snowshower":"Снегопад","Some Clouds":"Местами облачность","Sunny":"Солнечно","Thunder":"Грозы","Thunder/rain":"Дождь с грозой","Thundershower":"Ливень с грозой","Thunderstorm":"Гроза","T-Storm":"Буря","Widespread Dust":"Пыльно","Sprinkles":"Лёгкий дождь","Sun":"Ясно","Snow":"Снег","Rain":"Дождь","Wind":"Ветер","PM":"","AM":"","Fog":"Туман"

;===================================================================================

[MeasureRSSWeatherNow]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=600
Url=http://xml.weather.com/weather/local/#VarWeatherCode#?cc=*&unit=m&dayf=4
RegExp="(?siU)<obst>(.*)</obst>(.*)<tmp>(.*)</tmp>(.*)<t>(.*)</t>(.*)<icon>(.*)</icon>"
StringIndex=7

[MeasureRSSWeatherNowTemp]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherNow]
StringIndex=3

[MeasureRSSWeatherNowDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherNow]
StringIndex=5
Substitute=#VarWeatherRUS#

[MeasureRSSWeatherNowObst]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherNow]
StringIndex=1

[MeasureRSSWeatherDay1]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=600
Url=http://xml.weather.com/weather/local/#VarWeatherCode#?cc=*&unit=m&dayf=4
RegExp="(?siU)<day d="1" t="(.*)" dt="(.*)">(.*)<hi>(.*)</hi>(.*)<low>(.*)</low>(.*)<part p="d">(.*)<icon>(.*)</icon>(.*)<t>(.*)</t>(.*)</part>(.*)<part p="n">(.*)<icon>(.*)</icon>(.*)<t>(.*)</t>(.*)</day>"
StringIndex=1

[MeasureRSSWeatherDay1DayW]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay1]
StringIndex=1
Substitute="Monday":"Понедельник","Tuesday":"Вторник","Wednesday":"Среда","Thursday":"Четверг","Friday":"Пятница","Saturday":"Суббота","Sunday":"Воскресенье"

[MeasureRSSWeatherDay1DayN]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay1]
StringIndex=2
Substitute="Jan":"Янв","Feb":"Фев","Mar":"Мар","Apr":"Апр","May":"Май","Jun":"Июн","Jul":"Июл","Aug":"Авг","Sep":"Сен","Oct":"Окт","Nov":"Ноя","Dec":"Дек"

[MeasureRSSWeatherDay1DIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay1]
StringIndex=9

[MeasureRSSWeatherDay1NIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay1]
StringIndex=15

[MeasureRSSWeatherDay1DDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay1]
StringIndex=11
Substitute=#VarWeatherRUS#

[MeasureRSSWeatherDay1NDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay1]
StringIndex=17
Substitute=#VarWeatherRUS#

[MeasureRSSWeatherDay1High]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay1]
StringIndex=4

[MeasureRSSWeatherDay1Low]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay1]
StringIndex=6

[MeasureRSSWeatherDay2]
Measure=Plugin
Plugin=Plugins\WebParser.dll
UpdateRate=600
Url=http://xml.weather.com/weather/local/#VarWeatherCode#?cc=*&unit=m&dayf=4
RegExp="(?siU)<day d="2" t="(.*)" dt="(.*)">(.*)<hi>(.*)</hi>(.*)<low>(.*)</low>(.*)<part p="d">(.*)<icon>(.*)</icon>(.*)<t>(.*)</t>(.*)</part>(.*)<part p="n">(.*)<icon>(.*)</icon>(.*)<t>(.*)</t>(.*)</day>"
StringIndex=1

[MeasureRSSWeatherDay2DayW]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay2]
StringIndex=1
Substitute="Monday":"Понедельник","Tuesday":"Вторник","Wednesday":"Среда","Thursday":"Четверг","Friday":"Пятница","Saturday":"Суббота","Sunday":"Воскресенье"

[MeasureRSSWeatherDay2DayN]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay2]
StringIndex=2
Substitute="Jan":"Янв","Feb":"Фев","Mar":"Мар","Apr":"Апр","May":"Май","Jun":"Июн","Jul":"Июл","Aug":"Авг","Sep":"Сен","Oct":"Окт","Nov":"Ноя","Dec":"Дек"

[MeasureRSSWeatherDay2DIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay2]
StringIndex=9

[MeasureRSSWeatherDay2NIcon]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay2]
StringIndex=15

[MeasureRSSWeatherDay2DDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay2]
StringIndex=11
Substitute=#VarWeatherRUS#

[MeasureRSSWeatherDay2NDesc]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay2]
StringIndex=17
Substitute=#VarWeatherRUS#

[MeasureRSSWeatherDay2High]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay2]
StringIndex=4

[MeasureRSSWeatherDay2Low]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[MeasureRSSWeatherDay2]
StringIndex=6

;===================================================================================
;#####   Стили шрифтов
;===================================================================================

[StyleFont]
StringAlign=right
StringCase=NONE
FontColor=#Color1#
FontFace=#FontName#
FontSize=10
AntiAlias=1
ClipString=1
StringEffect=SHADOW
FontEffectColor=#Shadow#

[StyleFontSmall]
StringAlign=right
StringCase=NONE
FontColor=#Color2#
FontFace=Calibri
FontSize=8
AntiAlias=1
ClipString=1
StringEffect=SHADOW
FontEffectColor=#Shadow#

[StyleFontBig]
StringAlign=right
StringCase=NONE
FontColor=#Color1#
FontFace=#FontName#
FontSize=12
AntiAlias=1
ClipString=1
StringEffect=SHADOW
FontEffectColor=#Shadow#


;================================================
;####   Сегодня
;================================================

[CityName]
StringAlign=right
MeterStyle=StyleFont
Meter=String
Text=#CityName#
FontColor=#Color1#
X=197
Y=13
W=160
H=18
LeftMouseUpAction=!Execute ["www.weather.com/weather/local/#VarWeatherCode#?cc=*&unit=m"]
ToolTipText="Открыть weather.com"

[MeterWeatherNowIcon]
MeasureName=MeasureRSSWeatherNow
Meter=IMAGE
Path=\weather\
X=18
Y=30

[MeterWeatherNowTemp]
StringAlign=right
MeterStyle=StyleFont
MeasureName=MeasureRSSWeatherNowTemp
Meter=STRING
FontSize=20
StringStyle=BOLD
StringEffect=BORDER
FontEffectColor=#Shadow#
AntiAlias=1
X=200
Y=118
W=175
H=40
Text="%1°"

[MeterWeatherNowTemp2]
MeterStyle=StyleFont
MeasureName=MeasureRSSWeatherNowDesc
Meter=STRING
X=197
Y=148
W=185
H=18
Text="%1"
ToolTipText="%1"

[MeterWeatherNowLabel]
FontColor=#Color2#
MeterStyle=StyleFont
Meter=STRING
X=196
Y=30
W=100
H=20
Text="Сейчас"
Hidden=0


;======================================
;###  Завтра
;======================================

[MeterWeatherDay1DIcon]
MeasureName=MeasureRSSWeatherDay1DIcon
Meter=IMAGE
Path=\weather\
X=15
Y=167
W=85
H=58


[MeterWeatherDay1Date]
MeterStyle=StyleFontSmall
MeasureName=MeasureRSSWeatherDay1DayN
MeasureName2=MeasureRSSWeatherDay1DayW
Meter=STRING
X=196
Y=185
W=103
H=12
Text="%1, %2"


[MeterWeatherDay1D]
MeterStyle=StyleFont
MeasureName=MeasureRSSWeatherDay1DDesc
Meter=STRING
X=197
Y=225
W=185
H=18
Text="%1"
ToolTipText="%1"


[MeterWeatherDay1HL]
MeterStyle=StyleFontBig
MeasureName=MeasureRSSWeatherDay1High
MeasureName2=MeasureRSSWeatherDay1Low
Meter=STRING
X=197
Y=204
W=100
H=20
Text="%1° - %2°"


[MeterWeatherDay1Label]
FontColor=#Color2#
MeterStyle=StyleFont
Meter=STRING
X=197
Y=168
W=100
H=20
Text="Завтра"


;======================================
;###   Послезавтра
;======================================

[MeterWeatherDay2DIcon]
MeasureName=MeasureRSSWeatherDay2DIcon
Meter=IMAGE
Path=\weather\
X=15
Y=244
W=85
H=58

[MeterWeatherDay2Date]
MeterStyle=StyleFontSmall
MeasureName=MeasureRSSWeatherDay2DayN
MeasureName2=MeasureRSSWeatherDay2DayW
Meter=STRING
X=196
Y=262
W=103
H=12
Text="%1, %2"

[MeterWeatherDay2D]
MeterStyle=StyleFont
MeasureName=MeasureRSSWeatherDay2DDesc
Meter=STRING
X=197
Y=302
W=185
H=18
Text="%1"
ToolTipText="%1"


[MeterWeatherDay2HL]
MeterStyle=StyleFontBig
MeasureName=MeasureRSSWeatherDay2High
MeasureName2=MeasureRSSWeatherDay2Low
Meter=STRING
X=197
Y=281
W=100
H=20
Text="%1° - %2°"


[MeterWeatherDay2Label]
FontColor=#Color2#
MeterStyle=StyleFont
Meter=STRING
X=197
Y=245
W=100
H=20
Text="Послезавтра"

;================================================
;####   Настройки
;================================================

[Settings]
Meter=Image
ImageName=Settings.png
X=17
Y=17
LeftMouseDownAction=!Execute ["#CURRENTPATH#\Settings.txt"]
ToolTipText="Настройки"
MouseActionCursor=1